KUBERNETES(1)

NAME

kubectl annotate - Update the annotations on a resource

SYNOPSIS

kubectl annotate [OPTIONS]

DESCRIPTION

Update the annotations on one or more resources.

An annotation is a key/value pair that can hold larger (compared to a label), and possibly not human-readable, data. It is intended to store non-identifying auxiliary data, especially data manipulated by tools and system extensions. If --overwrite is true, then existing annotations can be overwritten, otherwise attempting to overwrite an annotation will result in an error. If --resource-version is specified, then updates will use this resource version, otherwise the existing resource-version will be used.

Possible resources include (case insensitive): pods (po), services (svc), replicationcontrollers (rc), nodes (no), events (ev), componentstatuses (cs), limitranges (limits), persistentvolumes (pv), persistentvolumeclaims (pvc), resourcequotas (quota) or secrets.

OPTIONS

--all=false
    select all resources in the namespace of the specified resource types

-f, --filename=[]
    Filename, directory, or URL to a file identifying the resource to update the annotation

--overwrite=false
    If true, allow annotations to be overwritten, otherwise reject annotation updates that overwrite existing annotations.

--resource-version=""
    If non-empty, the annotation update will only succeed if this is the current resource-version for the object. Only valid when specifying a single resource.

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--client-certificate=""
    Path to a client key file for TLS.

--client-key=""
    Path to a client key file for TLS.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

--password=""
    Password for basic authentication to the API server.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--token=""
    Bearer token for authentication to the API server.

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server.

--v=0
    log level for V logs

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    # Update pod 'foo' with the annotation 'description' and the value 'my frontend'.
    # If the same annotation is set multiple times, only the last value will be applied
    $ kubectl annotate pods foo description='my frontend'
    # Update a pod identified by type and name in "pod.json"
    $ kubectl annotate -f pod.json description='my frontend'
    # Update pod 'foo' with the annotation 'description' and the value 'my frontend running nginx', overwriting any existing value.
    $ kubectl annotate --overwrite pods foo description='my frontend running nginx'
    # Update all pods in the namespace
    $ kubectl annotate pods --all description='my frontend running nginx'
    # Update pod 'foo' only if the resource is unchanged from version 1.
    $ kubectl annotate pods foo description='my frontend running nginx' --resource-version=1
    # Update pod 'foo' by removing an annotation named 'description' if it exists.
    # Does not require the --overwrite flag.
    $ kubectl annotate pods foo description-

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!